stages:
  - .pre
  - build
  - test
  - post
  - security

.default:
  variables:
    DEFAULT_TAG: "1.2.0-SNAPSHOT"
  before_script:
    - |
      if [ "$CI_COMMIT_REF_NAME" = "main" ] && [ -n "$CI_COMMIT_TAG" ]; then
        export APP_VERSION=$CI_COMMIT_TAG
      elif [ "$CI_COMMIT_REF_NAME" = "develop" ]; then
        export APP_VERSION="develop"
      else
        export APP_VERSION=$DEFAULT_TAG
      fi
  # rules:
  #   - if: $CI_COMMIT_REF_NAME == "main"
  #   - if: $CI_COMMIT_REF_NAME == "develop"